Bug 478848 (CVE-2008-5557) - CVE-2008-5557 php: Heap-based buffer overflow in the mbstring extension via crafted string containing a HTML entity (arb code execution)
Summary: CVE-2008-5557 php: Heap-based buffer overflow in the mbstring extension via c...
Status: CLOSED ERRATA
Alias: CVE-2008-5557
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL: http://cvs.php.net/viewvc.cgi/php-src...
Whiteboard: reported=20081223,public=20080805,sou...
Keywords: Security
Depends On: 487359 487360 487361 487368 487369 487370 487371
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-01-05 16:13 UTC by Jan Lieskovsky
Modified: 2019-06-08 12:39 UTC (History)
5 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2010-03-29 09:24:51 UTC


Attachments (Terms of Use)
Reproducer from the upsteam bug (174 bytes, application/octet-stream)
2009-03-05 19:43 UTC, Josh Bressers
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:0337 normal SHIPPED_LIVE Moderate: php security update 2009-04-06 16:51:01 UTC
Red Hat Product Errata RHSA-2009:0338 normal SHIPPED_LIVE Moderate: php security update 2009-04-06 16:38:01 UTC
Red Hat Product Errata RHSA-2009:0350 normal SHIPPED_LIVE Moderate: php security update 2009-04-14 17:14:37 UTC

Description Jan Lieskovsky 2009-01-05 16:13:49 UTC
Common Vulnerabilities and Exposures assigned an identifier CVE-2008-5557 to
the following vulnerability:

Heap-based buffer overflow in
ext/mbstring/libmbfl/filters/mbfilter_htmlent.c in the mbstring
extension in PHP 4.3.0 through 5.2.6 allows context-dependent
attackers to execute arbitrary code via a crafted string containing an
HTML entity, which is not properly handled during Unicode conversion,
related to the (1) mb_convert_encoding, (2) mb_check_encoding, (3)
mb_convert_variables, and (4) mb_parse_str functions.

References:
http://archives.neohapsis.com/archives/fulldisclosure/2008-12/0477.html
http://bugs.php.net/bug.php?id=45722
http://cvs.php.net/viewvc.cgi/php-src/ext/mbstring/libmbfl/filters/mbfilter_htmlent.c?r1=1.7&r2=1.8
http://www.php.net/ChangeLog-5.php#5.2.7
http://www.securityfocus.com/bid/32948
http://securitytracker.com/id?1021482
http://xforce.iss.net/xforce/xfdb/47525

Comment 3 Josh Bressers 2009-03-05 19:43:03 UTC
Created attachment 334188 [details]
Reproducer from the upsteam bug

Comment 7 errata-xmlrpc 2009-04-06 16:38:08 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2009:0338 https://rhn.redhat.com/errata/RHSA-2009-0338.html

Comment 8 errata-xmlrpc 2009-04-06 16:51:08 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 3
  Red Hat Enterprise Linux 4

Via RHSA-2009:0337 https://rhn.redhat.com/errata/RHSA-2009-0337.html

Comment 9 errata-xmlrpc 2009-04-14 17:14:39 UTC
This issue has been addressed in following products:

  Red Hat Web Application Stack for RHEL 5

Via RHSA-2009:0350 https://rhn.redhat.com/errata/RHSA-2009-0350.html

Comment 10 Tomas Hoger 2009-04-15 08:05:40 UTC
Upstream fix:
http://cvs.php.net/viewvc.cgi/php-src/ext/mbstring/libmbfl/filters/mbfilter_htmlent.c?r1=1.7&r2=1.8

First appeared upstream in 5.2.7.

Comment 11 Fedora Update System 2009-05-30 02:34:05 UTC
maniadrive-1.2-13.fc10, php-5.2.9-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2009-05-30 02:38:10 UTC
maniadrive-1.2-13.fc9, php-5.2.9-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.